<template>
  <RouterLink
    class="relative flex justify-between gap-x-6 border-b border-gray-900/10 px-4 py-3 first:rounded-t-md last:rounded-b-md last:border-0 hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-primary-500"
    :to="to"
  >
    <slot />
  </RouterLink>
</template>

<script setup lang="ts">
import type { RouteLocationNamedRaw } from "vue-router";

defineProps<{
  to: RouteLocationNamedRaw;
}>();
</script>
